Gecode::DFA::DFAI::HashEntry Class Reference

Specification of transition range. More...

`#include <dfa.hpp>`

## Public Attributes

int | symbol
| Symbol.
const Transition * | fst
| First transition for the symbol.
const Transition * | lst
| Last transition for the symbol.

## Detailed Description

Specification of transition range.

Definition at line 61 of file dfa.hpp.

## Member Data Documentation

## symbol

int Gecode::DFA::DFAI::HashEntry::symbol

Symbol.

Definition at line 63 of file dfa.hpp.

## fst

const Transition* Gecode::DFA::DFAI::HashEntry::fst

First transition for the symbol.

Definition at line 64 of file dfa.hpp.

## lst

const Transition* Gecode::DFA::DFAI::HashEntry::lst

Last transition for the symbol.

Definition at line 65 of file dfa.hpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/dfa.hpp